.a-input-with-label {
  position: relative;

  height: 4rem;
  &.--cursor-pointer{
    input{
      cursor: pointer;
    }
  }
  &[data-exist='true'] {
    label {
      top: 0;
      left: 1.2rem;

      color: #6868ac;
      font-size: 1.2rem;
      font-weight: 600;
    }
  }

  &[data-status='danger'] {
    label {
      color: #526375 !important;
    }

    input {
      border-color: #c96951 !important;
    }
  }

  &[disabled='true'] {
    .a-input-with-label__icon {
      background: #c5c6c7 !important;
    }
  }

  &[data-icon='true'] {
    &[data-icon-placement='end'] {
      .a-input-with-label__icon {
        left: unset;
        right: 1.6rem;
      }

      label {
        left: 0.1rem;
      }

      input {
        padding: 0 4.4rem 0 1.6rem;
      }

      &[data-exist='true'] {
        label {
          left: 1.2rem;
        }
      }
    }

    label {
      left: 3.2rem;
    }

    &[data-exist='true'] {
      label {
        left: 4.4rem;
      }
    }

    input {
      padding: 0 1.6rem 0 4.4rem;

      &:focus {
        & ~ label {
          left: 4.4rem;
        }
      }
    }
  }

  input {
    width: 100%;
    height: 100%;
    padding: 0 1.2rem;

    background: #fff;
    border-radius: 0.8rem;
    border: 0.1rem solid #d5dee8;

    font-family: 'inter';
    font-size: 1.4rem;

    transition: border 0.25s;

    &:disabled {
      color: #c5c6c7 !important;

      // + label {
      //   color: #c5c6c7;
      // }
    }

    /* Chrome, Safari, Edge, Opera */
    &::-webkit-outer-spin-button,
    &::-webkit-inner-spin-button {
      -webkit-appearance: none;
    }

    /* Firefox */
    &[type='number'] {
      -moz-appearance: textfield;
    }

    &:focus {
      border-color: #6868ac;

      & ~ label {
        top: 0;
        left: 1.2rem;

        color: #6868ac;
        font-size: 1.2rem;
        font-weight: 600;
      }
    }
  }

  .input-error {
    border: 0.1rem solid #ad4d34;
  }

  label {
    position: absolute;
    top: 50%;
    left: 1px;

    padding: 0 1.2rem;

    font-size: 1.4rem;
    font-weight: 500;

    transform: translateY(-50%);

    transition: all 0.25s;

    pointer-events: none;

    &::before {
      position: absolute;
      bottom: 0;
      left: 0;
      z-index: 1;

      width: calc(100% - 1px);
      height: calc(50% + 0.05rem);

      background: #fff;

      content: '';
    }

    span {
      position: relative;
      z-index: 2;
    }
  }

  &__icon {
    position: absolute;
    top: 50%;
    left: 1.6rem;

    width: 2rem;
    height: 2rem;

    transform: translateY(-50%);

    pointer-events: none;

    img {
      width: 100%;
      height: 100%;

      object-fit: contain;
      object-position: center;
    }
  }

  &.error {
    input {
      border-color: #dd3a09;
    }
  }
}

.tooltip-number-badge-input {
  background: #fff;
  box-shadow: 0 0.4rem 0.8rem #d5dee8;

  color: #568745;
  font-size: 1.4rem;
  letter-spacing: -0.02rem;
  line-height: 2.2rem;
  text-align: left;

  &[data-type='danger'] {
    color: #c96951;
  }
}
